Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414376 - Confusing error message for reboot command
Summary: Confusing error message for reboot command
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 11:26 UTC by Lukas Slebodnik
Modified: 2017-12-12 10:52 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Slebodnik 2017-01-18 11:26:25 UTC
Description of problem:
The manual page for the command 'reboot' HALT(8) says:

       -f, --force
           Force immediate halt, power-off, reboot. Do not contact the init
           system.

But I can see error message
   Failed to read reboot parameter file: No such file or directory

The manual page does not say anything about "reboot parameter file"


Version-Release number of selected component (if applicable):
sh# rpm -qf /usr/sbin/reboot 
systemd-231-12.fc25.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. /usr/sbin/reboot --force

Actual results:
  sh# /usr/sbin/reboot --force
  Failed to read reboot parameter file: No such file or directory
  Rebooting.

Expected results:
Confusing error messages should not be shown.

Additional info:
I cannot see the message without parameter "--force"

Comment 1 Fedora End Of Life 2017-11-16 19:00:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:52:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.